# Function animateCache

- animateCache(): {
  cacheKey(node: HTMLElement, method: string, addClass?: string, removeClass?: string): string;
  containsCachedAnimationWithoutDuration(key: string): boolean;
  count(key: string): number;
  flush(): void;
  get(key: string): any;
  put(key: string, value: any, isValid: boolean): void;
  }

- #### Returns {
  cacheKey(node: HTMLElement, method: string, addClass?: string, removeClass?: string): string;
  containsCachedAnimationWithoutDuration(key: string): boolean;
  count(key: string): number;
  flush(): void;
  get(key: string): any;
  put(key: string, value: any, isValid: boolean): void;
  }

  - ##### cacheKey:function

    - cacheKey(node, method, addClass?, removeClass?): string

    - Generates a unique cache key based on the node's parent and other parameters.

      #### Parameters

      - node: HTMLElement

        The DOM node to generate the cache key for.

      - method: string

        The animation method being applied.

      - `Optional` addClass: string

        Class to add during the animation.

      - `Optional` removeClass: string

        Class to remove during the animation.

      #### Returns string

      - The generated cache key.
      - Defined in animations/animate-cache.js:15

  - ##### containsCachedAnimationWithoutDuration:function

    - containsCachedAnimationWithoutDuration(key): boolean

    - Checks if a cached animation without a duration exists.

      #### Parameters

      - key: string

        The cache key to check.

      #### Returns boolean

      - True if an invalid animation is cached, false otherwise.
      - Defined in animations/animate-cache.js:29

  - ##### count:function

    - count(key): number

    - Gets the count of a specific cache entry.

      #### Parameters

      - key: string

        The cache key to count.

      #### Returns number

      - The count of the cache entry.
      - Defined in animations/animate-cache.js:47

  - ##### flush:function

    - flush(): void

    - Clears the cache.

      #### Returns void

      - Defined in animations/animate-cache.js:38

  - ##### get:function

    - get(key): any

    - Retrieves a value associated with a specific cache key.

      #### Parameters

      - key: string

        The cache key to retrieve.

      #### Returns any

      - The value associated with the cache key.
      - Defined in animations/animate-cache.js:56

  - ##### put:function

    - put(key, value, isValid): void

    - Adds or updates a cache entry.

      #### Parameters

      - key: string

        The cache key to add or update.

      - value: any

        The value to store.

      - isValid: boolean

        Whether the cache entry is valid.

      #### Returns void

      - Defined in animations/animate-cache.js:66
  - Defined in animations/animate-cache.js:5